clang 8.0.0

Classes | Typedefs
clang::serialization::reader Namespace Reference

## Classes
class | ASTDeclContextNameLookupTrait
| Class that performs name lookup into a DeclContext stored in an AST file. More...
class | ASTIdentifierLookupTrait
| Class that performs lookup for an identifier stored in an AST file. More...
class | ASTIdentifierLookupTraitBase
| Base class for the trait describing the on-disk hash table for the identifiers in an AST file. More...
class | ASTSelectorLookupTrait
| Class that performs lookup for a selector's entries in the global method pool stored in an AST file. More...
struct | DeclContextLookupTable
class | HeaderFileInfoTrait
| Trait class used to search the on-disk hash table containing all of the header search information. More...

## Typedefs
using | ASTIdentifierLookupTable = llvm::OnDiskIterableChainedHashTable< ASTIdentifierLookupTrait >
| The on-disk hash table used to contain information about all of the identifiers in the program. More...
using | ASTSelectorLookupTable = llvm::OnDiskChainedHashTable< ASTSelectorLookupTrait >
| The on-disk hash table used for the global method pool. More...
using | HeaderFileInfoLookupTable = llvm::OnDiskChainedHashTable< HeaderFileInfoTrait >
| The on-disk hash table used for known header files. More...

## Typedef Documentation

## ◆ ASTIdentifierLookupTable

using clang::serialization::reader::ASTIdentifierLookupTable = typedef llvm::OnDiskIterableChainedHashTable<ASTIdentifierLookupTrait>

The on-disk hash table used to contain information about all of the identifiers in the program.

Definition at line 188 of file ASTReaderInternals.h.

## ◆ ASTSelectorLookupTable

using clang::serialization::reader::ASTSelectorLookupTable = typedef llvm::OnDiskChainedHashTable<ASTSelectorLookupTrait>

The on-disk hash table used for the global method pool.

Definition at line 234 of file ASTReaderInternals.h.

## ◆ HeaderFileInfoLookupTable

using clang::serialization::reader::HeaderFileInfoLookupTable = typedef llvm::OnDiskChainedHashTable<HeaderFileInfoTrait>

The on-disk hash table used for known header files.

Definition at line 285 of file ASTReaderInternals.h.